#include <iostream>
#include <cstdlib>

using std::exit;

#include "cmyk.hh"
#include "hsv.hh"
#include "ycbcr.hh"
#include "ycc.hh"
#include "yiq.hh"
#include "ypbpr.hh"
#include "yuv.hh"

static CMYK cs1;
static HSV cs2;
static YCbCr cs3;
static YCC cs4;
static YIQ cs5;
static YPbPr cs6;
static YUV cs7;

#define spacecount 7
static Colorspace *Spaces[spacecount] = { &cs1, &cs2, &cs3, &cs4, &cs5, &cs6, &cs7 };
static RGB rgb;

static void UpdateSpaces(unsigned butnot = spacecount)
{
    for(unsigned a=0; a<spacecount; ++a)
        if(a != butnot)
            Spaces[a]->Set(rgb);
}
static void UpdateRGB(unsigned fromspace)
{
    if(fromspace >= spacecount)
    {
        cerr << "UpdateRGB: " << fromspace << " >= " << spacecount << endl;
        exit(-1);
    }
    rgb = Spaces[fromspace]->Get();
}

int main(void)
{
	rgb.r = 1; rgb.g = 0; rgb.b = 0;
	UpdateSpaces();

    return 0;
}
